## Write to ui.R and server.R
# Arguments:
#   txt: the text to be written
#   indent: the number of tabs to indent
#   tabSpaces: the number of spaces represented by each tab
#   new: TRUE=new file, FALSE=append
# Value: NULL
#
writeUi = function(txt, indent=0, tabSpaces=2, new=FALSE) {
  if (indent>0) txt = paste0(paste(rep(" ", indent*tabSpaces), collapse=""), txt)
  write(txt, file="ui.R", ncolumns=1, append=!new)
  return(NULL)
}
#
writeServer = function(txt, indent=0, tabSpaces=2, new=FALSE) {
  if (indent>0) txt = paste0(paste(rep(" ", indent*tabSpaces), collapse=""), txt)
  write(txt, file="server.R", ncolumns=1, append=!new)
  return(NULL)
}

